### GET /volumes/v4.2/config/nvmf-clients Source: https://developers.nutanix.com/api/v1/namespaces/volumes/versions/v4.2/yaml Fetches a list of all the NVMe-TCP clients. ```markdown ### Parameters - **$page** (integer (int32), query, optional): A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results. - **$limit** (integer (int32), query, optional): A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set. - **$filter** (string, query, optional): A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the [OData V4.01](https://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html) URL conventions. For example, filter **$filter=name eq 'karbon-ntnx-1.0'** would filter the result on cluster name 'karbon-ntnx1.0', filter **$filter=startswith(name, 'C')** would filter on cluster name starting with 'C'. (example: "string") - **$orderby** (string, query, optional): A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, '$orderby=templateName desc' would get all templates sorted by templateName in descending order. (example: "string") - **$expand** (string, query, optional): A URL query parameter that allows clients to request related resources when a resource that satisfies a particular request is retrieved. Each expanded item is evaluated relative to the entity containing the property being expanded. Other query options can be applied to an expanded property by appending a semicolon-separated list of query options, enclosed in parentheses, to the property name. Permissible system query options are $filter, $select and $orderby. (example: "string") - **$select** (string, query, optional): A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the [OData V4.01](https://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html) URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. (example: "string") ### Responses #### 200 - Returns a paginated list of NVMe-TCP clients. - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 17) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (array (volumes.v4.2.config.NvmfClient)) Array items: - **tenantId** (string): A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this ID to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server). (example: "d14333b2-9677-4b0d-9077-a1563c906ce7") - **extId** (string): A globally unique identifier of an instance that is suitable for external consumption. (example: "0d534743-2514-440c-a0b3-f17c57e90f73") - **links** (array (common.v1.0.response.ApiLink)): A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource. Array items: - **nvmfInitiatorName** (string): NVMe-TCP client qualified name. (example: "nqn.2025-12.org.nvmexpress:uuid:59d5de78-a964-5746-8c6e-677c4c7a79df") - **attachedTargets** (array (string)): List of all subsystems connected to a NVMe-TCP client. - **clusterReference** (string): The UUID of the cluster that hosts the NVMe-TCP client. (example: "3bdb92df-3a61-46b5-a06e-8179f0ec1a16") #### 4XX - Client error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 17) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (volumes.v4.2.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. #### 5XX - Server error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 17) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (volumes.v4.2.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. ### Example Usage ```bash curl -X GET "https://{host}:{port}/api/volumes/v4.2/config/nvmf-clients?$page=0&$limit=50&$filter=string&$orderby=string&$expand=string&$select=string" ``` ``` -------------------------------- ### GET /volumes/v4.2/config/iscsi-clients Source: https://developers.nutanix.com/api/v1/namespaces/volumes/versions/v4.2/yaml Fetches the list of iSCSI clients. ```markdown ### Parameters - **$page** (integer (int32), query, optional): A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results. - **$limit** (integer (int32), query, optional): A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set. - **$filter** (string, query, optional): A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the [OData V4.01](https://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html) URL conventions. For example, filter **$filter=name eq 'karbon-ntnx-1.0'** would filter the result on cluster name 'karbon-ntnx1.0', filter **$filter=startswith(name, 'C')** would filter on cluster name starting with 'C'. (example: "string") - **$orderby** (string, query, optional): A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, '$orderby=templateName desc' would get all templates sorted by templateName in descending order. (example: "string") - **$expand** (string, query, optional): A URL query parameter that allows clients to request related resources when a resource that satisfies a particular request is retrieved. Each expanded item is evaluated relative to the entity containing the property being expanded. Other query options can be applied to an expanded property by appending a semicolon-separated list of query options, enclosed in parentheses, to the property name. Permissible system query options are $filter, $select and $orderby. (example: "string") - **$select** (string, query, optional): A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the [OData V4.01](https://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html) URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. (example: "string") ### Responses #### 200 - Paginated list of iSCSI clients. - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 17) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (array (volumes.v4.2.config.IscsiClient)) Array items: - **tenantId** (string): A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this ID to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server). (example: "d14333b2-9677-4b0d-9077-a1563c906ce7") - **extId** (string): A globally unique identifier of an instance that is suitable for external consumption. (example: "0d534743-2514-440c-a0b3-f17c57e90f73") - **links** (array (common.v1.0.response.ApiLink)): A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource. Array items: - **iscsiInitiatorName** (string): iSCSI initiator name. Exactly one of iscsiInitiatorName and iscsiInitiatorNetworkId must be specified during the attach operation. This field is immutable. (example: "iqn.2024-01.com.example.iscsi:initiator") - **iscsiInitiatorNetworkId** (object): An unique address that identifies a device on the internet or a local network in IPv4/IPv6 format or a Fully Qualified Domain Name. - **ipv4** (object): An unique address that identifies a device on the internet or a local network in IPv4 format. - **value** (string) (required): The IPv4 address of the host. (example: "254.180.178.15") - **prefixLength** (integer (int32)): The prefix length of the network to which this host IPv4 address belongs. - **ipv6** (object): An unique address that identifies a device on the internet or a local network in IPv6 format. - **fqdn** (object): A fully qualified domain name that specifies its exact location in the tree hierarchy of the Domain Name System. - **value** (string): The fully qualified domain name of the host. (example: "string") - **clientSecret** (string (password)): iSCSI initiator client secret in case of CHAP authentication. This field should not be provided if the authentication type is not set to CHAP. (example: "***************") - **enabledAuthentications** (string (CHAP|NONE|$UNKNOWN|$REDACTED)): The authentication type enabled for the Volume Group. This is an optional field. If omitted, the authentication is not configured for the Volume Group. If this is set to CHAP, the target/client secret must be provided. ("CHAP"|"NONE"|"$UNKNOWN"|"$REDACTED") - **attachedTargets** (array (volumes.v4.2.config.TargetParam)) Array items: - **numVirtualTargets** (integer (int32)): Number of virtual targets generated for the iSCSI target. This field is immutable. (example: 32) - **iscsiTargetName** (string): Name of the iSCSI target that the iSCSI client is connected to. This is a read-only field. (example: "target-e7195673-85d0-4456-b5ee-c1b89be13537") - **numVirtualTargets** (integer (int32)): Number of virtual targets generated for the iSCSI target. This field is immutable. (example: 3) - **clusterReference** (string): The UUID of the cluster that will host the iSCSI client. This field is read-only. (example: "8569ae81-c16f-402b-a0e1-e030b6e8667f") - **attachmentSite** (string (PRIMARY|SECONDARY|$UNKNOWN|$REDACTED)): The site where the Volume Group attach operation should be processed. This is an optional field. This field may only be set if Metro DR has been configured for this Volume Group. ("PRIMARY"|"SECONDARY"|"$UNKNOWN"|"$REDACTED") #### 4XX - Client error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 17) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (volumes.v4.2.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. #### 5XX - Server error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 17) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (volumes.v4.2.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. ### Example Usage ```bash curl -X GET "https://{host}:{port}/api/volumes/v4.2/config/iscsi-clients?$page=0&$limit=50&$filter=string&$orderby=string&$expand=string&$select=string" ``` ``` -------------------------------- ### GET /volumes/v4.2/config/nvmf-clients/{extId} Source: https://developers.nutanix.com/api/v1/namespaces/volumes/versions/v4.2/yaml Fetches NVMe-TCP client details identified by its external identifier. ```markdown ### Parameters - **extId** (string, path, required): The external identifier of the NVMe-TCP client. (example: "41d3b01d-96aa-4417-95e5-7e9e603ada57") ### Responses #### 200 - Returns details of the queried NVMe-TCP client. - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 17) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): A model base class whose instances are bound to a specific tenant. This model adds a tenantId to the base model class that it extends and is automatically set by the server. - **tenantId** (string): A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this ID to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server). (example: "d14333b2-9677-4b0d-9077-a1563c906ce7") - **extId** (string): A globally unique identifier of an instance that is suitable for external consumption. (example: "0d534743-2514-440c-a0b3-f17c57e90f73") - **links** (array (common.v1.0.response.ApiLink)): A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource. Array items: - **nvmfInitiatorName** (string): NVMe-TCP client qualified name. (example: "nqn.2025-12.org.nvmexpress:uuid:59d5de78-a964-5746-8c6e-677c4c7a79df") - **attachedTargets** (array (string)): List of all subsystems connected to a NVMe-TCP client. - **clusterReference** (string): The UUID of the cluster that hosts the NVMe-TCP client. (example: "3bdb92df-3a61-46b5-a06e-8179f0ec1a16") #### 4XX - Client error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 17) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (volumes.v4.2.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. #### 5XX - Server error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 17) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (volumes.v4.2.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. ### Example Usage ```bash curl -X GET "https://{host}:{port}/api/volumes/v4.2/config/nvmf-clients/{extId}" ``` ```